package com.qmth.distributed.print.business.bean.dto.examObject;

import com.qmth.distributed.print.business.bean.dto.approvalForm.ExamRoomInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class ExamObjectDto {

    @ApiModelProperty(value = "考试开始时间")
    private Long examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Long examEndTime;

    @ApiModelProperty(value = "总印量")
    private Integer printTotalCount;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "考场信息集合")
    private List<ExamRoomInfo> examRoomInfoList;

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Integer getPrintTotalCount() {
        return printTotalCount;
    }

    public void setPrintTotalCount(Integer printTotalCount) {
        this.printTotalCount = printTotalCount;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public List<ExamRoomInfo> getExamRoomInfoList() {
        return examRoomInfoList;
    }

    public void setExamRoomInfoList(List<ExamRoomInfo> examRoomInfoList) {
        this.examRoomInfoList = examRoomInfoList;
    }
}
